package icao

import "context"

type Service interface {
	Create(ctx context.Context, row *ICAO) error
	Update(ctx context.Context, row *ICAO) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*ICAO, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]ICAO, int64, error)
}
